function comparError(n,Nrange)
%a cleaner function to compare error using 3point and 5 point stencil
%shows that for smaller n 3point better converges as predicted N^-2
%5point better better converges as predicted N^-4 for larger n 
%see plotenergygraphs to compare graphs of E vs n against true parabolic
%shape to see where the two methods diverge

%also for n=50 -> 70.... 5-point does sth weird... after certain N err
%actually increases. WHY?

t=pi^2*n^2; %true answer

err3point = [];
err5point = [];

for N=Nrange
[x,H]=schrod(N,@infwell);
[v,e1]=eig(H);
e1 = diag(e1);
err3point = [err3point abs(t-e1(n))/t]; %absolute error

[x,H]=fivepointschrod1(N,@infwell);
[v,e2]=eig(H);
e2 = diag(e2);
[e2 i] = sort(e2); %sort in ascending order!
err5point = [err5point abs(t-e2(n))/t]; %absolute error
end

figure;loglog(Nrange,err3point,'r*',Nrange,err5point,'g*');
xlabel('N');ylabel('err');
legend('Three Point Stencil','Five Point Stencil');
title('Convergence of Error for n in 1D Infinite Well');
figure;plot(log(Nrange),log(err3point),'r*',log(Nrange),log(err5point),'g*');
xlabel('log(N)');ylabel('log(err)');
legend('Three Point Stencil','Five Point Stencil');
title('Convergence of Error for n in 1D Infinite Well');
