function comparErrorNew(n,Nrange)
%a cleaner function to compare error using 3point and 5 point stencil
%shows that for smaller n 3point better converges as predicted N^-2
%5point better better converges as predicted N^-4 for larger n 
%see plotenergygraphs to compare graphs of E vs n against true parabolic
%shape to see where the two methods diverge

%also for n=50 -> 70.... 5-point does sth weird... after certain N err
%actually increases. WHY?

t=pi^2*n^2; %true answer

err3point = [];
err5point = [];
err6point = [];

for N=Nrange
%three point stencil
coeff = [1,-2]; 
coeffb = [1,-2,1];
[v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
err3point = [err3point abs(t-e(n))/t]; %absolute error


%five point stencil
coeff = [-1/12,4/3,-5/2];
coeffb=[-11/12,-5/3,1/2,1/3,-1/12];
[v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
err5point = [err5point abs(t-e(n))/t]; %absolute error


%6th order accuracy
%seven point stencil for centered part
%eight point stencil for forward and backward part
%coeff = [1/90,-3/20,3/2,-49/18];
%coeff = [-1/560,8/315,-1/5,8/5,-205/72]; %9point 8th order accuracy
%coeff = [2/180,-27/180,270/180,-490/180];
%coeffb=[469/90,-223/10,879/20,-949/18,41,-201/10,1019/180,-7/10];

% %nine point 
% coeff = [-9/5040,128/5040,-1008/5040,8064/5040,-14350/5040];
% %coeffb = [3267,128,-20916,38556,-37030,23688,-9828,2396,-216]/5040;
% coeffb = [29531,-138528,312984,-448672,435330,-284256,120008,-29664,3267]/5040;
% [v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
% err6point = [err6point abs(t-e(n))/t]; %absolute error

end

%figure;loglog(Nrange,err3point,'r*',Nrange,err5point,'g*');
% xlabel('N');ylabel('err');
% legend('Three Point Stencil','Five Point Stencil');
% title('Convergence of Error for n in 1D Infinite Well');
%figure;
plot(log(Nrange),log(err3point),'r*',log(Nrange),log(err5point),'g*');
xlabel('log(N)');ylabel('log(err)');
legend('Three Point Stencil','Five Point Stencil');
title('Convergence of Error for n in 1D Infinite Well');
