%Tests the convergence of the scattering problem by comparing the magnitude
%of the "error wave" to the magnitude of the highest peak. 
close all

%Get the probability density for various n
U = work(100,@barrier, 900, 0, 1);
V = work(200,@barrier, 900, 0, 1);
W = work(400, @barrier, 900, 0, 1);
X = work(500,@barrier, 900, 0, 1);
Y = work(800,@barrier, 900, 0, 1);
Z = work(1000,@barrier, 900, 0, 1);
A = work(5000, @barrier, 900, 0, 1);

digits = zeros(5,5);
%Get the maximum value and minimum value of the error wave 
%in Region 3
digits(1,2) = max(U(70:100));
digits(1,3) = min(U(70:100));
digits(2,2) = max(V(140:200));
digits(2,3) = min(V(140:200));
digits(3,2) = max(W(280:400));
digits(3,3) = min(W(280:400));
digits(4,2) = max(X(350:500));
digits(4,3) = min(X(350:500));
digits(5,2) = max(Y(560:800));
digits(5,3) = min(Y(560:800));
digits(6,2) = max(Z(700:1000));
digits(6,3) = min(Z(700:1000));
digits(7,2) = max(A(3500:5000));
digits(7,3) = min(A(3500:5000));

%Subtract the minimum value from the max to get the size of the amplitude
digits(:,4)=(digits(:,2)-digits(:,3));

%plot the log-log of the amplitude of the error wave against step size
x = [100 200 400 500 800 1000 5000];
plot(log(x), log(digits(:,4)))