%Tests the convergence of scatter2 by comparing the magnitude
%of the "error wave" to the magnitude of the highest peak. 
close all

%Get the Probability Density for various n
U = scatter2(100,@barrier, 900, 0, 1);
V = scatter2(200,@barrier, 900, 0, 1);
W = scatter2(400, @barrier, 900, 0, 1);
X = scatter2(500,@barrier, 900, 0, 1);
Y = scatter2(800,@barrier, 900, 0, 1);
Z = scatter2(1000,@barrier, 900, 0, 1);
A = scatter2(3000, @barrier, 900, 0, 1);

digits = zeros(5,5);
%Get the minimum and maximum of the error wave in region 3 for each run
digits(1,2) = max(U(70:100));
digits(1,3) = min(U(70:100));
digits(2,2) = max(V(140:200));
digits(2,3) = min(V(140:200));
digits(3,2) = max(W(280:400));
digits(3,3) = min(W(280:400));
digits(4,2) = max(X(350:500));
digits(4,3) = min(X(350:500));
digits(5,2) = max(Y(560:800));
digits(5,3) = min(Y(560:800));
digits(6,2) = max(Z(700:1000));
digits(6,3) = min(Z(700:1000));
digits(7,2) = max(A(2100:3000));
digits(7,3) = min(A(2100:3000));

%Get the size of the amplitude
digits(:,4)=(digits(:,2)-digits(:,3));

%plot the log-log of the amplitude of the error wave against step size
x = [100 200 400 500 800 1000 3000];
plot(log(x), log(digits(:,4)))